#ifndef RENDERER_H_
#define RENDERER_H_

#include <SDL/SDL_opengl.h>
#include <boost/shared_ptr.hpp>
#include <string>

class Renderer {
public:
  void LoadTexture(const std::string & filename);
  void DrawSprite(double tex_x, double tex_y, double tex_w, double tex_h, double pos_x, double pos_y,
      double width, double height, size_t level);

private:
  GLuint m_texture;
};

typedef boost::shared_ptr<Renderer> RendererPtr;

#endif /* RENDERER_H_ */
